POI 4.0.0 Jar files for Android

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

POI 4.0.0 Jar files for Android

ranzhang35
Does anyone have success getting POI 4.0.0 working on Android? If so, can you
share the jar files?



--
Sent from: http://apache-poi.1045710.n5.nabble.com/POI-User-f2280730.html

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: POI 4.0.0 Jar files for Android

pj.fanning
https://github.com/centic9/poi-on-android/issues/44

poi-on-android is a separate project and only currently supports POI 3.17



--
Sent from: http://apache-poi.1045710.n5.nabble.com/POI-User-f2280730.html

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: POI 4.0.0 Jar files for Android

ranzhang35
PJ.Fanning:

         How much work is involved to get it running on Android for
POI4.0.0?  I searched the whole project of
https://github.com/centic9/poi-on-android/ for text string '3.17', there is
only 1 occurrence in 'poishadow\build.gradle',  

So in 'poishadow\build.gradle', I changed the following line

from compile 'org.apache.poi:poi-ooxml:3.17-beta1'*

to compile 'org.apache.poi:poi-ooxml:4.0.0'*


is there anymore work need to be done?



--
Sent from: http://apache-poi.1045710.n5.nabble.com/POI-User-f2280730.html

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: POI 4.0.0 Jar files for Android

Dominik Stadler-2
Hi Ranzhang,

please note that the poi-on-android project is not supported by the Apache
POI community itself, so this mailing list is not the ideal place to
discuss issues.

I am sorry that you are in a hurry to get this done, but I am myself quite
busy with work, so I am sorry that I cannot guarantee anything and cannot
state when I will find time to update support to POI 4.0.0. As Android is
very much different from normal Java, there will always be some very
difficult things to fix before it will work, I gave it a quick try and it
already failed with multiple severe problems, alas POI/XML Parsing and
Android are a bad match currently it seems.

And please note that all people here work on their own free time and no-one
is paid for this work, so sending multiple mails with text "urgent" will
not improve things, better to keep to one mail-thread instead as otherwise
people will get confused and will abandon the discussion.

So as explained, I cannot do payed work here, simply due to lack of time
and focus, sorry. Naturally as the project poi-on-android is open-source,
you can pay anybody who is proficient in Java/Android development to do
some work on it so it works with your environment/requirements, it would be
good if any improvements are sent back to the project for the benefit of
others.

Finally to the technical topic, my most basic question would first be, why
you need POI 4.0.0, what issues do you face when sticking with the version
with POI 3.17 for now?

Dominik.


On Mon, Oct 1, 2018 at 8:22 PM ranzhang35 <[hidden email]> wrote:

> PJ.Fanning:
>
>          How much work is involved to get it running on Android for
> POI4.0.0?  I searched the whole project of
> https://github.com/centic9/poi-on-android/ for text string '3.17', there
> is
> only 1 occurrence in 'poishadow\build.gradle',
>
> So in 'poishadow\build.gradle', I changed the following line
>
> from compile 'org.apache.poi:poi-ooxml:3.17-beta1'*
>
> to compile 'org.apache.poi:poi-ooxml:4.0.0'*
>
>
> is there anymore work need to be done?
>
>
>
> --
> Sent from: http://apache-poi.1045710.n5.nabble.com/POI-User-f2280730.html
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>